## Class TListIterator

Description

Implements interfaces:

TListIterator class

TListIterator implements Iterator interface.

TListIterator is used by TList. It allows TList to return a new iterator for traversing the items in the list.

- since: 3.0
- version: $Id: TList.php 1980 2007-05-30 23:27:00Z knut $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Collections/TList.php (line 355)

Method Summary
TListIterator __construct (array &$data)
mixed current ()
integer key ()
void next ()
void rewind ()
boolean valid ()
Methods
Constructor __construct (line 374)

Constructor.

- access: public

TListIterator __construct (array &$data)

- array &$data: the data to be iterated through

current (line 405)

Returns the current array item.

This method is required by the interface Iterator.

- return: the current array item
- access: public

mixed current ()
key (line 395)

Returns the key of the current array item.

This method is required by the interface Iterator.

- return: the key of the current array item
- access: public

integer key ()
next (line 414)

Moves the internal pointer to the next array item.

This method is required by the interface Iterator.

- access: public

void next ()
rewind (line 385)

Rewinds internal array pointer.

This method is required by the interface Iterator.

- access: public

void rewind ()
valid (line 424)

Returns whether there is an item at current position.

This method is required by the interface Iterator.

- access: public

boolean valid ()

Documentation generated on Mon, 21 Apr 2008 11:35:26 -0400 by phpDocumentor 1.3.0RC4